Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:56 2009

## Asterisk developer's documentation

# zt_subchannel Struct Reference

Collaboration diagram for zt_subchannel:

[legend]

## Data Fields

short | buffer [AST_FRIENDLY_OFFSET/2+READ_SIZE]
int | chan
ZT_CONFINFO | curconf
struct ast_frame | f
unsigned int | inthreeway:1
unsigned int | linear:1
unsigned int | needanswer:1
unsigned int | needbusy:1
unsigned int | needcallerid:1
unsigned int | needcongestion:1
unsigned int | needflash:1
unsigned int | needringing:1
struct ast_channel * | owner
int | zfd

## Detailed Description

Definition at line 394 of file chan_zap.c.

## Field Documentation

short buffer[AST_FRIENDLY_OFFSET/2+READ_SIZE]

Definition at line 398 of file chan_zap.c.

Referenced by zt_read().

int chan

Definition at line 397 of file chan_zap.c.

Referenced by alloc_sub(), swap_subs(), and unalloc_sub().

ZT_CONFINFO curconf

Definition at line 408 of file chan_zap.c.

Referenced by check_for_conference(), conf_add(), conf_del(), isourconf(), reset_conf(), and unalloc_sub().

struct ast_frame f`[read]`

One frame for each channel. How did this ever work before?

Definition at line 399 of file chan_zap.c.

Referenced by __zt_exception(), zt_handle_dtmfup(), zt_handle_event(), and zt_read().

unsigned int inthreeway

Definition at line 407 of file chan_zap.c.

Referenced by available(), isslavenative(), swap_subs(), unalloc_sub(), update_conf(), zap_show_channel(), zt_answer(), zt_bridge(), zt_handle_event(), zt_hangup(), and zt_read().

unsigned int linear

Definition at line 406 of file chan_zap.c.

Referenced by send_callerid(), ss_thread(), unalloc_sub(), zap_show_channel(), zt_hangup(), zt_new(), zt_read(), and zt_write().

unsigned int needanswer

Definition at line 404 of file chan_zap.c.

Referenced by __zt_exception(), zt_handle_event(), zt_hangup(), and zt_read().

unsigned int needbusy

Definition at line 401 of file chan_zap.c.

Referenced by zt_call(), zt_hangup(), and zt_read().

unsigned int needcallerid

Definition at line 403 of file chan_zap.c.

Referenced by zt_hangup(), and zt_read().

unsigned int needcongestion

Definition at line 402 of file chan_zap.c.

Referenced by zt_hangup(), and zt_read().

unsigned int needflash

Definition at line 405 of file chan_zap.c.

Referenced by zt_handle_event(), zt_hangup(), and zt_read().

unsigned int needringing

Definition at line 400 of file chan_zap.c.

Referenced by zt_call(), zt_handle_event(), zt_hangup(), and zt_read().

struct ast_channel* owner`[read]`

Definition at line 396 of file chan_zap.c.

Referenced by __zt_exception(), attempt_transfer(), available(), destroy_channel(), do_monitor(), ss_thread(), swap_subs(), unalloc_sub(), wakeup_sub(), zap_show_channel(), zt_answer(), zt_bridge(), zt_fixup(), zt_get_index(), zt_handle_event(), zt_hangup(), and zt_new().

int zfd

Definition at line 395 of file chan_zap.c.

Referenced by __unload_module(), __zt_exception(), alloc_sub(), available(), bump_gains(), chandup(), check_for_conference(), conf_add(), conf_del(), destroy_channel(), disable_dtmf_detect(), do_monitor(), enable_dtmf_detect(), get_alarms(), handle_init_event(), isslavenative(), mkintf(), my_zt_write(), reset_conf(), restore_conference(), restore_gains(), save_conference(), send_callerid(), ss_thread(), swap_subs(), unalloc_sub(), update_conf(), zap_show_channel(), zt_answer(), zt_bridge(), zt_call(), zt_confmute(), zt_digit(), zt_disable_ec(), zt_enable_ec(), zt_handle_event(), zt_hangup(), zt_indicate(), zt_new(), zt_read(), zt_request(), zt_ring_phone(), zt_sendtext(), zt_setoption(), zt_train_ec(), zt_wink(), and zt_write().

The documentation for this struct was generated from the following file:

- chan_zap.c